import 'dart:convert';

import 'package:floor/floor.dart';
import 'package:ivy_baby_record/user/model/record/day_log.dart';

class DataInfoConverter extends TypeConverter<DataInfo, String> {
  @override
  DataInfo decode(String databaseValue) {
    return (databaseValue ?? '').isNotEmpty ? DataInfo.fromJson(json.decode(databaseValue)): null;
  }

  @override
  String encode(DataInfo value) {
    return value == null ? null : json.encode(value);
  }
}